(*--------------------------------------------------------------*)
(* ACM ICPC 2007-2008                                           *)
(* Northeastern European Regional Contest                       *)
(* St Petersburg - Barnaul - Tashkent - Batumi, November 28, 200*)
(*--------------------------------------------------------------*)
(* Problem B. Building for UN                                   *)
(*--------------------------------------------------------------*)
(* Solution                                                     *)
(*                                                              *)
(* Author                Petr Mitrichev                         *)
(*--------------------------------------------------------------*)
 
{$APPTYPE CONSOLE}
{$R+,Q+,S+,I+,H+,O-}

uses
  Math, SysUtils;

Const
  TaskID='building';
  InFile=TaskID+'.in';
  OutFile=TaskID+'.out';

Var
  N:Integer;

Procedure Load;
Begin
  Read(N);
End;

Procedure Solve;
Begin
End;

Procedure Save;
Const
  S:String='QWERTYUIOPASDFGHJKLZXCVBNMqwertyuiopasdfghjklzxcvbnm';
Var
  I,J:Integer;
Begin
  WriteLn(2,' ',N,' ',N);
  For I:=1 To N Do Begin
    For J:=1 To N Do Begin
      Write(S[I]);
    End;
    WriteLn;
  End;
  WriteLn;
  For I:=1 To N Do Begin
    For J:=1 To N Do Begin
      Write(S[J]);
    End;
    WriteLn;
  End;
End;

begin
  Load;
  Solve;
  Save;
end.
 